<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.10                               //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2012                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/
class ajmUploadFile {

    private static $instance;

	public $upload_dir    = '';			// директория загрузки
	public $filename      = '';	        // имя файла
	public $input_name    = 'Filedata';	// название поля загрузки файла

// ============================================================================ //
// ============================================================================ //

	private function __construct(){}

    private function __clone() {}

    public static function getInstance() {
        if (self::$instance === null) {
            self::$instance = new self;
        }
        return self::$instance;
    }
// ============================================================================ //
// ============================================================================ //
    /**
     * Загружает фото файл
     * @return array $file (filename, realfile)
     */
    public function uploadFile($old_file=''){
		// если каталог загрузки не определен, возвращаем ложь

		if (!$this->upload_dir) { 

                    return false; }
		if ($_FILES[$this->input_name]['name']){


			$size       = cmsCore::strClear($_FILES[$this->input_name]["size"]);
			$size_mb    = round(($size/1024)/1024, 2);
                        if ($size_mb>1) {echo '2';return false;}

			$realfile 	= cmsDatabase::escape_string($_FILES[$this->input_name]['name']);
                    

			$path_parts = pathinfo($_FILES[$this->input_name]['name']);
			$ext        = mb_strtolower($path_parts['extension']);

			// убираем расширение файла вместе с точкой
			$realfile = mb_substr($realfile, 0, mb_strrpos($realfile, '.'));

			if (!in_array($ext, array('xls','jpg','jpeg','gif','png','bmp','zip','rar','tar','mp3'))) { return false; }

			$this->filename 	   = $this->filename ? $this->filename : md5(time().$realfile).'.'.$ext;

			$uploadfile			   = $this->upload_dir . $this->filename;

			$source				   = $_FILES[$this->input_name]['tmp_name'];
			$errorCode			   = $_FILES[$this->input_name]['error'];

			if (cmsCore::moveUploadedFile($source, $uploadfile, $errorCode)) {

				$file['filename'] = $this->filename;
				$file['realfile'] = $realfile;
                                $file['image']    = '/plugins/p_ajaxmessages/images/filetypes/'.$ext.'.png';
			} else {

				return false;

			}
		} else {
		return false;
		}
        return $file;
    }
}
	// при ajaxfileupload HTTP_X_REQUESTED_WITH не передается, устанавливем его - костыль :-) см. /core/ajax/ajax_core.php
	$_SERVER['HTTP_X_REQUESTED_WITH'] = 'XMLHttpRequest';
    define('PATH', $_SERVER['DOCUMENT_ROOT']);
	include(PATH.'/core/ajax/ajax_core.php');

        // загружать могут только авторизованные
    if (!$inUser->id) {	cmsCore::halt(); }

	// Подготавливаем класс загрузки фото
	$inUploadFile = ajmUploadFile::getInstance();
	$inUploadFile->upload_dir    = PATH.'/upload/ajaxmessages/';
	$inUploadFile->input_name    = 'ajm_attach_file';
	// загружаем фото
	$file = $inUploadFile->uploadFile();
	if (!$file){ cmsCore::jsonOutput(array('error' => 'Файл не загружен! Загружать можно только файлы формата jpg, jpeg, gif, png, bmp, zip, rar, tar, mp3 и размером менее 1Mb', 'msg' => ''), false); }

	$fileurl = '/upload/ajaxmessages/'.$file['filename'];

	cmsCore::jsonOutput(array('error' => '', 'msg' => $fileurl, 'image' => $file['image']), false);

?>