<?php
    session_start();
    $myuser_id = isset($_SESSION['user']['id']) ? $_SESSION['user']['id'] : 0; 
    include('path.php');
    define("VALID_CMS", 1);
    include(PATH.'/core/cms.php');
	  // Грузим конфиг
    include(PATH.'/includes/config.inc.php');
    $inCore     = cmsCore::getInstance();
    define('HOST', 'http://' . $inCore->getHost());
    $inCore->loadClass('db');           //база данных
    $inCore->loadClass('config');           //конфигурация
    $inCore->loadClass('user');           //база данных
    $inConf     = cmsConfig::getInstance();
    $inDB       = cmsDatabase::getInstance();
    
    $lastmessageid = $inCore->request('lastmessageid', 'int', 0);

    $sql = "SELECT m.id,m.message, u.nickname as author, m.senddate as fpubdate, m.from_id as sender_id, p.imageurl
      FROM cms_user_msg m
      left join cms_users u ON u.id = m.from_id
      left join cms_user_profiles p ON p.user_id = u.id
      WHERE 1
      and m.to_id   = $myuser_id AND to_del=0 AND is_new=1 AND m.id>$lastmessageid
      ORDER BY m.id desc
      limit 20 
    ";
    
    $result = $inDB->query($sql);

    //если возникла ошибка, вернем false
    if ($inDB->error()) {  echo 'error'; return false; }
    if (!$inDB->num_rows($result)) { 
      echo '';
      return; 
      }
    while ($mess = $inDB->fetch_assoc($result)){
      $arr[] = $mess;
    }
    $before = '';
    $str = '';
    for ($i=count($arr)-1; $i>=0;$i--){
      $mess = $arr[$i];

        if ($mess['imageurl']=='') {$mess['avatar']='<img height="34px" src="/images/users/avatars/small/nopic.jpg" />';}
        else {$mess['avatar'] = '<img height="34px" src="/images/users/avatars/small/'.$mess['imageurl'].'" />';}

        if ($mess['sender_id']==-1) {     $mess['author'] = 'Служба обновлений';}
        else if ($mess['sender_id']==-2){  $mess['author'] = 'Служба рассылки';}

//      $mess['message'] = iconv('cp1251','utf-8', $mess['message']);
//      $mess['author'] = iconv('cp1251','utf-8', $mess['author']);
      $messs[] = $mess;
    
    }
      echo json_encode($messs);          			




if (!function_exists('json_encode')) { 
  function json_encode($a=false) {
    if (is_null($a)) return 'null';
    if ($a === false) return 'false';
    if ($a === true) return 'true';
    if (is_scalar($a)) {
      if (is_float($a)) {
        return floatval(str_replace(",", ".", strval($a)));
      }

      if (is_string($a)) {
        static $jsonReplaces = array(array("\\", "/", "\n", "\t", "\r", "\b", "\f", '"'), array('\\\\', '\\/', '\\n', '\\t', '\\r', '\\b', '\\f', '\"'));
        return '"' . str_replace($jsonReplaces[0], $jsonReplaces[1], $a) . '"';
      }
      else
        return $a;
    }
    $isList = true;
    for ($i = 0, reset($a); $i < count($a); $i++, next($a)) {
      if (key($a) !== $i) {
        $isList = false;
        break;
      }
    }
    $result = array();
    if ($isList) {
      foreach ($a as $v) $result[] = json_encode($v);
      return '[' . join(',', $result) . ']';
    }
    else {
      foreach ($a as $k => $v) $result[] = json_encode($k).':'.json_encode($v);
      return '{' . join(',', $result) . '}';
    }
  }
}

?>